<template>
  <div class="white d-flex flex-column page-height">
    <v-container class="mt-12 mb-auto">
      <h1 class="my-6 font-weight-medium">You are signed out</h1>      
      <h3 class="font-weight-light">You have signed out and will go to our homepage in {{countDown}} seconds.</h3>
    </v-container>      
  </div>
</template>
<script>

export default {
  name: "LogOutSuccess",
  data() {
    return {
        countDown:5
    };
  },
 
  watch: {},
  computed: {},
  methods: {
      countDownTimer() {
                if(this.countDown > 0) {
                    setTimeout(() => {
                        this.countDown -= 1
                        this.countDownTimer()
                    }, 1000)
                }
            }
  },
  mounted() {},
  created() {
         this.countDownTimer()
       setTimeout(() => {
               this.$store.dispatch("auth/logout");
                this.$router.push({
        name: "HomePage",
      });
        }, 5000);
  }
};
</script>
<style src="./logout_success.scss" lang="scss" scopped/>